Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nz.co.cks.tms.xml
Class EnquiryNcbParentService

    java.lang.Object
      nz.co.cks.tms.xml.EnquiryNcbParentServiceType
          nz.co.cks.tms.xml.EnquiryNcbParentService

All Implemented Interfaces:
  java.io.Serializable

public class EnquiryNcbParentService
extends EnquiryNcbParentServiceType
implements java.io.Serializable

Class EnquiryNcbParentService.

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Constructor Summary
`EnquiryNcbParentService()`

Method Summary
`boolean` | `isValid()` Method isValid
`void` | `marshal(org.xml.sax.ContentHandler handler)` Method marshal
`void` | `marshal(java.io.Writer out)` Method marshal
`static EnquiryNcbParentService` | `unmarshal(java.io.Reader reader)` Method unmarshal
`void` | `validate()` Method validate

Methods inherited from class nz.co.cks.tms.xml.EnquiryNcbParentServiceType
`getNcbId, hasNcbId, setNcbId`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EnquiryNcbParentService

    public EnquiryNcbParentService()

Method Detail

### isValid

    public boolean isValid()

  Method isValid

  Overrides:
    `isValid` in class `EnquiryNcbParentServiceType`

### marshal

    public void marshal(java.io.Writer out)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Method marshal

  Parameters:
    `out` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### marshal

    public void marshal(org.xml.sax.ContentHandler handler)
                 throws java.io.IOException,
                        org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Method marshal

  Parameters:
    `handler` -
  Throws:
    `java.io.IOException`
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### unmarshal

    public static EnquiryNcbParentService unmarshal(java.io.Reader reader)
                                             throws org.exolab.castor.xml.MarshalException,
                                                    org.exolab.castor.xml.ValidationException

  Method unmarshal

  Parameters:
    `reader` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Method validate

  Overrides:
    `validate` in class `EnquiryNcbParentServiceType`
  Throws:
    `org.exolab.castor.xml.ValidationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD